Customer orders
List customer orders
Returns the authenticated customer’s order history with cursor pagination.
GET
/
api
/
checkout
/
v2026-04
/
customers
/
me
/
orders
List customer orders
curl --request GET \
--url https://api.fluid.app/api/checkout/v2026-04/customers/me/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/checkout/v2026-04/customers/me/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/checkout/v2026-04/customers/me/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/checkout/v2026-04/customers/me/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/checkout/v2026-04/customers/me/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/checkout/v2026-04/customers/me/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/checkout/v2026-04/customers/me/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"orders": [
{
"id": 962031,
"first_name": "Holly",
"last_name": "Flax",
"email": "holly.flax@dundermifflin.com",
"order_number": "DM-10482",
"status": "shipped",
"source": "web",
"amount": "126.77",
"amount_in_base": "126.77",
"base_to_currency_rate": null,
"note": null,
"currency_code": "USD",
"created_at": "2026-09-14T15:24:41Z",
"updated_at": "2026-09-16T09:02:13Z",
"token": "fo_9Tn3Qk6WvB2mXr8LdYc4Ha",
"order_status": "completed",
"fulfillment_status": "fulfilled",
"financial_status": "paid",
"warehouse_id": 3121,
"points_applied": 0,
"points_applied_decimal": "0.0000",
"points_applied_amount": 0,
"points_applied_amount_in_currency": "$0.00",
"order_total_after_points_redemption": 126.77,
"total_points_credited": 110,
"total_points_credited_decimal": "110.0000",
"starts_subscription": true,
"currency_symbol": "$",
"items_count": 2,
"quantity_count": 3,
"external_id": null,
"sale_date": "2026-09-14T15:24:41Z",
"order_on_behalf_of": false,
"total_display_amount": "$126.77",
"total_cv": "110.0",
"total_qv": "110.0",
"first_item": {
"title": "Dunder Mifflin 20lb Copy Paper",
"image_url": "https://cdn.fluid.app/companies/1405/products/20lb-copy-paper/main.jpg"
},
"subscription": {
"subscription_token": "sub_7Hk2Rm9Qx4Tw6Lb3Nc8Vd",
"status": "active"
},
"enrollment": null
},
{
"id": 958714,
"first_name": "Holly",
"last_name": "Flax",
"email": "holly.flax@dundermifflin.com",
"order_number": "DM-10317",
"status": "delivered",
"source": "web",
"amount": "18.99",
"amount_in_base": "18.99",
"base_to_currency_rate": null,
"note": "Please leave with the front desk.",
"currency_code": "USD",
"created_at": "2026-09-02T18:41:07Z",
"updated_at": "2026-09-05T13:15:52Z",
"token": "fo_3Wd8Lx5Kc2Pv7Tn4Qr9Mb",
"order_status": "completed",
"fulfillment_status": "fulfilled",
"financial_status": "paid",
"warehouse_id": 3121,
"points_applied": 500,
"points_applied_decimal": "500.0000",
"points_applied_amount": 5,
"points_applied_amount_in_currency": "$5.00",
"order_total_after_points_redemption": 13.99,
"total_points_credited": 14,
"total_points_credited_decimal": "14.0000",
"starts_subscription": false,
"currency_symbol": "$",
"items_count": 1,
"quantity_count": 1,
"external_id": null,
"sale_date": "2026-09-02T18:41:07Z",
"order_on_behalf_of": false,
"total_display_amount": "$13.99",
"total_cv": "14.0",
"total_qv": "14.0",
"first_item": {
"title": "Scranton Branch Mug",
"image_url": "https://cdn.fluid.app/companies/1405/products/scranton-branch-mug/main.jpg"
},
"subscription": null,
"enrollment": null
}
],
"meta": {
"request_id": "6f1c2a9e-3b7d-4e58-9a21-c4d8e0b7f312",
"timestamp": "2026-09-30T14:05:22Z",
"pagination": {
"cursor": null,
"limit": 25,
"prev_cursor": null,
"next_cursor": null,
"total_count": 2,
"total_pages": 1,
"current_page": 1,
"per_page": 25
},
"average_cv": "62.0",
"total_cv": "124.0",
"average_amount_base": 70.38,
"total_amount_base": 140.76,
"fulfilled_orders_count": 2
}
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}Authorizations
Bearer token authentication
Query Parameters
Pagination cursor
Number of records per page (max 100)
Free-text search across order number, customer name/email/phone, external id, and order id/number
Sort key; prefix with '-' for descending
Available options:
sale_date, -sale_date, created_at, -created_at, id, -id, order_status, -order_status, status, -status, customer_name, -customer_name, customer, -customer, amount, -amount Filter by order status ('all' returns every status)
Available options:
all, draft, pending, pending_review, processing, completed, cancelled, archived Filter by order class
Available options:
sample_order, customer_order, member_order, enrollment_order, autoship_order Filter by user company id
Filter by subscription id
Include orders on or after this date
Include orders on or before this date
Timezone for date-range filtering
Include orders within the last N days
Filter by cart source
Comma-separated country ISO codes to filter by
Force recomputation of aggregate stats
Filter by exact order number
⌘I
List customer orders
curl --request GET \
--url https://api.fluid.app/api/checkout/v2026-04/customers/me/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/checkout/v2026-04/customers/me/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/checkout/v2026-04/customers/me/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/checkout/v2026-04/customers/me/orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/checkout/v2026-04/customers/me/orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/checkout/v2026-04/customers/me/orders")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/checkout/v2026-04/customers/me/orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"orders": [
{
"id": 962031,
"first_name": "Holly",
"last_name": "Flax",
"email": "holly.flax@dundermifflin.com",
"order_number": "DM-10482",
"status": "shipped",
"source": "web",
"amount": "126.77",
"amount_in_base": "126.77",
"base_to_currency_rate": null,
"note": null,
"currency_code": "USD",
"created_at": "2026-09-14T15:24:41Z",
"updated_at": "2026-09-16T09:02:13Z",
"token": "fo_9Tn3Qk6WvB2mXr8LdYc4Ha",
"order_status": "completed",
"fulfillment_status": "fulfilled",
"financial_status": "paid",
"warehouse_id": 3121,
"points_applied": 0,
"points_applied_decimal": "0.0000",
"points_applied_amount": 0,
"points_applied_amount_in_currency": "$0.00",
"order_total_after_points_redemption": 126.77,
"total_points_credited": 110,
"total_points_credited_decimal": "110.0000",
"starts_subscription": true,
"currency_symbol": "$",
"items_count": 2,
"quantity_count": 3,
"external_id": null,
"sale_date": "2026-09-14T15:24:41Z",
"order_on_behalf_of": false,
"total_display_amount": "$126.77",
"total_cv": "110.0",
"total_qv": "110.0",
"first_item": {
"title": "Dunder Mifflin 20lb Copy Paper",
"image_url": "https://cdn.fluid.app/companies/1405/products/20lb-copy-paper/main.jpg"
},
"subscription": {
"subscription_token": "sub_7Hk2Rm9Qx4Tw6Lb3Nc8Vd",
"status": "active"
},
"enrollment": null
},
{
"id": 958714,
"first_name": "Holly",
"last_name": "Flax",
"email": "holly.flax@dundermifflin.com",
"order_number": "DM-10317",
"status": "delivered",
"source": "web",
"amount": "18.99",
"amount_in_base": "18.99",
"base_to_currency_rate": null,
"note": "Please leave with the front desk.",
"currency_code": "USD",
"created_at": "2026-09-02T18:41:07Z",
"updated_at": "2026-09-05T13:15:52Z",
"token": "fo_3Wd8Lx5Kc2Pv7Tn4Qr9Mb",
"order_status": "completed",
"fulfillment_status": "fulfilled",
"financial_status": "paid",
"warehouse_id": 3121,
"points_applied": 500,
"points_applied_decimal": "500.0000",
"points_applied_amount": 5,
"points_applied_amount_in_currency": "$5.00",
"order_total_after_points_redemption": 13.99,
"total_points_credited": 14,
"total_points_credited_decimal": "14.0000",
"starts_subscription": false,
"currency_symbol": "$",
"items_count": 1,
"quantity_count": 1,
"external_id": null,
"sale_date": "2026-09-02T18:41:07Z",
"order_on_behalf_of": false,
"total_display_amount": "$13.99",
"total_cv": "14.0",
"total_qv": "14.0",
"first_item": {
"title": "Scranton Branch Mug",
"image_url": "https://cdn.fluid.app/companies/1405/products/scranton-branch-mug/main.jpg"
},
"subscription": null,
"enrollment": null
}
],
"meta": {
"request_id": "6f1c2a9e-3b7d-4e58-9a21-c4d8e0b7f312",
"timestamp": "2026-09-30T14:05:22Z",
"pagination": {
"cursor": null,
"limit": 25,
"prev_cursor": null,
"next_cursor": null,
"total_count": 2,
"total_pages": 1,
"current_page": 1,
"per_page": 25
},
"average_cv": "62.0",
"total_cv": "124.0",
"average_amount_base": 70.38,
"total_amount_base": 140.76,
"fulfilled_orders_count": 2
}
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"blocked_date": "2026-11-30",
"blocked_day": 30,
"allowed_date": "2026-11-28",
"payment_uuid": "<string>",
"error_details": [
{
"code": "<string>",
"field": "<string>",
"payment": "not_attempted",
"message": "<string>"
}
],
"coded_recovery": true
}
}